io.vertx.jdbcclient

## Interface SqlOutParam

-     public interface SqlOutParam

  Tag if a parameter is of type OUT or INOUT. By default parameters are of type IN as they are provided by the user to the RDBMs engine. There are however cases where these must be tagged as OUT/INOUT when dealing with stored procedures/functions or complex statements. This interface allows marking the type of the param as required by the JDBC API.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `in()` Is this marker `IN`?
    `static SqlOutParam` | `INOUT(Object in, int out)` Factory for a INOUT parameter of type `out`.
    `static SqlOutParam` | `INOUT(Object in, JDBCType out)` Factory for a INOUT parameter of type `out`.
    `static SqlOutParam` | `INOUT(Object in, String out)` Factory for a INOUT parameter of type `out`.
    `static SqlOutParam` | `OUT(int out)` Factory for a OUT parameter of type `out`.
    `static SqlOutParam` | `OUT(JDBCType out)` Factory for a OUT parameter of type `out`.
    `static SqlOutParam` | `OUT(String out)` Factory for a OUT parameter of type `out`.
    `int` | `type()` Get the output type
    `Object` | `value()` Get the input value

- - ### Method Detail

    - #### OUT

          static SqlOutParam OUT(int out)

      Factory for a OUT parameter of type `out`.
      Parameters:
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### OUT

          static SqlOutParam OUT(String out)

      Factory for a OUT parameter of type `out`.
      Parameters:
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### OUT

          static SqlOutParam OUT(JDBCType out)

      Factory for a OUT parameter of type `out`.
      Parameters:
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### INOUT

          static SqlOutParam INOUT(Object in,
                                   int out)

      Factory for a INOUT parameter of type `out`.
      Parameters:
        `in` - the value to be passed as input.
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### INOUT

          static SqlOutParam INOUT(Object in,
                                   String out)

      Factory for a INOUT parameter of type `out`.
      Parameters:
        `in` - the value to be passed as input.
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### INOUT

          static SqlOutParam INOUT(Object in,
                                   JDBCType out)

      Factory for a INOUT parameter of type `out`.
      Parameters:
        `in` - the value to be passed as input.
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### in

          boolean in()

      Is this marker `IN`?
      Returns:
        true if `INOUT`

    - #### type

          int type()

      Get the output type
      Returns:
        type

    - #### value

          Object value()

      Get the input value
      Returns:
        input

Copyright © 2023 Eclipse. All rights reserved.